<?php


namespace STINA\Library\Abstracts;

use STINA\Library\Interfaces\Widget as WidgetInterface;

defined('ABSPATH') || exit;

abstract class Widget implements WidgetInterface
{
    /**
     * @var string
     */
    protected $name;

    /**
     * @var string
     */
    protected $body;

    /**
     * @var string
     */
    protected $footer;

    /**
     * @inheritDoc
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @inheritDoc
     */
    public function getBody()
    {
        return $this->body;
    }

    /**
     * @inheritDoc
     */
    public function getFooter()
    {
        return $this->footer;
    }
}