<?php
/*
Plugin Name: STINA Crystal LIFT
Plugin URI: https://www.crystallift.net/
Description: Marketing automation system for WordPress.
Author: STINA
Version: 1.0.2
Author URI: https://www.stina-global.com/
Requires at least: 4.7
Tested up to: 5.5
Requires PHP: 5.6
WC requires at least: 2.7
WC tested up to: 4.7
Text Domain: stina-crystal-lift
Domain Path: /languages
*/

namespace STINA\CrystalLift;

use STINA\CrystalLift\Plugin as CrystalLiftPlugin;

defined('ABSPATH') || exit;

// Define CRYSLI_PLUGIN_FILE.
if (!defined('CRYSLI_PLUGIN_FILE')) {
    define('CRYSLI_PLUGIN_FILE', __FILE__);
}

// Define CRYSLI_PLUGIN_DIR.
if (!defined('CRYSLI_PLUGIN_DIR')) {
    define('CRYSLI_PLUGIN_DIR', __DIR__);
}

// Define CRYSLI_PLUGIN_URL.
if (!defined('CRYSLI_PLUGIN_URL')) {
    define('CRYSLI_PLUGIN_URL', plugins_url('', __FILE__) . '/');
}

// Define CRYSLI_VERSION.
if (!defined('CRYSLI_VERSION')) {
    define('CRYSLI_VERSION', '1.0.2');
}

// Define CRYSLI_PLUGIN_SLUG.
if (!defined('CRYSLI_PLUGIN_SLUG')) {
    define('CRYSLI_PLUGIN_SLUG', 'stina-crystal-lift');
}

require_once __DIR__ . '/functions/crysli-core-functions.php';
require_once __DIR__ . '/functions/crysli-campaign-meta-functions.php';
require_once __DIR__ . '/vendor/autoload.php';

function CrystalLift() {
    return CrystalLiftPlugin::instance();
}

$GLOBALS[CRYSLI_PLUGIN_SLUG] = CrystalLift();