<?php defined('ABSPATH') || exit; ?>

<div class="row boxed stina-pt-3">
    <div class="col-12">
        <h2><?php _e('Select the campaign type you need', 'stina-crystal-lift'); ?></h2>
        <p class="stina-mb-0"><?php _e('The campaign type decides what kind of marketing campaign you wish to run. In this step, you also select the service provider for the selected campaign type.', 'stina-crystal-lift'); ?></p>
    </div>
</div>

<div class="row boxed">
    <div class="col-12">
        <div class="stina-list-group">
            <button class="stina-list-group-item stina-list-group-item-action"
                :class="{ active: selected.action.uniqueId === 'f3b1a391-7df1-4ec4-b87c-5dd4395aff4a' }"
                @click="onSelectCampaignType('TRIGGER_DIALOG_LETTER', 'f3b1a391-7df1-4ec4-b87c-5dd4395aff4a')">
                <div class="stina-flexbox action-provider-select">
                    <i class="fas fa-envelope-open-text"></i>
                    <div>
                        <h2 class="stina-mb-0"><?php _e('Send a letter', 'stina-crystal-lift'); ?> - Deutsche Post TriggerDialog</h2>
                        <p><?php _e('Design and send a printed letter to your customers using the Deutsche Post TriggerDialog service.', 'stina-crystal-lift'); ?></p>
                    </div>
                </div>
            </button>
        </div>

    </div>
</div>