<?php defined('ABSPATH') || exit; ?>

<div class="row boxed stina-pt-3">
    <div class="col-12">
        <ul class="stina-nav stina-nav-tabs-simple stina-mt-0" role="tablist">
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                   :class="getCampaignTypeTabClass('REGULAR')"
                   id="campaign-regular-tab"
                   data-toggle="tab"
                   role="tab"
                   aria-controls="campaign-regular"
                   aria-selected="false"
                   @click="onSelectCampaignTypeTab('REGULAR')">
                    <?php _e('Regular', 'stina-crystal-lift'); ?>
                </button>
            </li>
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                   :class="getCampaignTypeTabClass('AUTOMATED')"
                   id="home-tab"
                   data-toggle="tab"
                   role="tab"
                   aria-controls="home"
                   aria-selected="true"
                   @click="onSelectCampaignTypeTab('AUTOMATED')">
                    <?php _e('Automated', 'stina-crystal-lift'); ?>
                </button>
            </li>
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                        id="home-tab"
                        data-toggle="tab"
                        role="tab"
                        aria-controls="home"
                        aria-selected="true"
                        disabled="disabled">
                    <?php _e('Integrated', 'stina-crystal-lift'); ?>
                    <sup>
                        <span class="stina-badge dark" style="font-size: smaller; padding: 1px 5px;"><?php _e('Professional', 'stina-crystal-lift'); ?></span>
                    </sup>
                </button>
            </li>
        </ul>
    </div>
</div>


<div class="stina-tab-content">
    <div class="stina-tab-pane fade" id="regular" :class="getCampaignTypeTabClass('REGULAR')" role="tabpanel" aria-labelledby="regular-tab">
        <?php crysli_get_template('modal-campaign-create-wizard/tabs-campaign-type/tab-regular.php'); ?>
    </div>
    <div class="stina-tab-pane fade" id="automated" :class="getCampaignTypeTabClass('AUTOMATED')" role="tabpanel" aria-labelledby="automated-tab">
        <?php crysli_get_template('modal-campaign-create-wizard/tabs-campaign-type/tab-automated.php'); ?>
    </div>
</div>