<?php


namespace STINA\CrystalLift\Models;

use STINA\Library\Abstracts\Model as AbstractModel;

defined('ABSPATH') || exit;

class Event extends AbstractModel
{
    /**
     * @var string
     */
    protected $uniqueId;

    /**
     * @var string
     */
    protected $descShort;

    /**
     * @var string
     */
    protected $descLong;

    /**
     * @return string
     */
    public function getUniqueId()
    {
        return $this->uniqueId;
    }

    /**
     * @param string $uniqueId
     */
    public function setUniqueId($uniqueId)
    {
        $this->uniqueId = $uniqueId;
    }

    /**
     * @return string
     */
    public function getDescShort()
    {
        return $this->descShort;
    }

    /**
     * @param string $descShort
     */
    public function setDescShort($descShort)
    {
        $this->descShort = $descShort;
    }

    /**
     * @return string
     */
    public function getDescLong()
    {
        return $this->descLong;
    }

    /**
     * @param string $descLong
     */
    public function setDescLong($descLong)
    {
        $this->descLong = $descLong;
    }
}