<?php


namespace STINA\Library\Interfaces;

defined('ABSPATH') || exit;

interface Component
{
    /**
     * Verifies credentials, permissions, and displays the menu page(s).
     *
     * @return void
     */
    public function init();

    /**
     * Displays the component page template.
     *
     * @return void
     */
    public function showPage();
}