<?php
defined('ABSPATH') || exit; ?>

<script>
    function crysliCloseDialog(selector) {
      var el = document.querySelector('#' + selector);

      if (el) {
        el.classList.remove('open');
      }
    }
</script>

<div id="crysli-dialog-campaign-duplicate" class="stina-dialog">
    <div class="stina-dialog-inner">
        <div class="stina-dialog-outer-wrapper">

            <div class="stina-dialog-header">
                <strong><?php _e('Duplicate existing campaign', 'stina-crystal-lift'); ?></strong>

                <button class="stina-dialog-title-bar-action"
                        onclick="crysliCloseDialog('crysli-dialog-campaign-duplicate')">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-times" aria-hidden="true" ></i>
                </button>
            </div>

            <div class="stina-dialog-body">

                <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
                    <input type="hidden" name="action" value="crysli_campaign_duplicate_campaign">
                    <?php wp_nonce_field('crysli_campaign_duplicate_campaign'); ?>
                    <input id="crysli-campaign-duplicate-campaign-unique-id" type="hidden" name="campaign_unique_id">

                    <div class="stina-form-group">
                        <label for="crysli-duplicate-campaign-name">
                            <strong><?php _e('Campaign name'); ?></strong>
                        </label>
                        <input id="crysli-duplicate-campaign-name"
                               class="stina-form-control"
                               type="text"
                               name="campaign_name"
                               required="required">
                    </div>

                    <button class="stina-btn stina-btn-primary" type="submit"><?php _e('Duplicate', 'stina-crystal-lift'); ?></button>

                </form>

            </div>

        </div>
    </div>
</div>
