<?php defined('ABSPATH') || exit; ?>

<div id="crysli-modal-campaign-create-wizard" class="stina-modal">

    <div class="stina-modal-inner" style="position: relative;">

        <div class="stina-modal-outer-wrapper">

            <div class="stina-modal-title-bar">
                <div style="width: 25px" v-if="steps.current === 1">&nbsp;</div>
                <button class="stina-modal-title-bar-action" @click="previousStep()" v-if="steps.current > 1">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-arrow-left" aria-hidden="true" ></i>
                </button>
                <div class="stina-modal-logo-container">
                    <b><?php _e('Crystal LIFT - Campaign Wizard', 'stina-crystal-lift'); ?></b>
                </div>
                <button class="stina-modal-title-bar-action" @click="close()">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-times" aria-hidden="true" ></i>
                </button>
            </div>

            <div class="stina-modal-steps-wrapper">
                <div class="step step-1" :class="getStepClass(1)">
                    <?php crysli_get_template('modal-campaign-create-wizard/step-1.php'); ?>
                </div>
                <div class="step step-2" :class="getStepClass(2)">
                    <?php crysli_get_template('modal-campaign-create-wizard/step-2.php'); ?>
                </div>
                <div class="step step-3" :class="getStepClass(3)">
                    <?php crysli_get_template('modal-campaign-create-wizard/step-3.php'); ?>
                </div>
            </div>

        </div>

    </div>

</div>