<?php defined('ABSPATH') || exit; ?>

<div class="row boxed stina-pt-3" v-if="selected.event">
    <div class="col-12">
        <h2>{{ selected.event.name }}</h2>
        <p>{{ selected.event.descLong }}</p>
        <p><?php _e('Now that you have selected your event, give your campaign a name. You can also go back and select a different event.', 'stina-crystallift'); ?></p>
    </div>
</div>

<div class="row boxed">
    <div class="col-12">

        <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
            <input type="hidden" name="action" value="crysli_campaign_create_campaign">
            <?php wp_nonce_field('crysli_campaign_create_campaign'); ?>
            <input type="hidden" name="campaign_type" v-model="selected.type">
            <input type="hidden" name="campaign_action_unique_id" v-model="selected.action.uniqueId">
            <input type="hidden" name="campaign_event_unique_id" v-model="selected.event.uniqueId">

            <div class="stina-form-group">
                <label for="campaign_name">
                    <strong><?php _e('Campaign name', 'stina-crystal-lift'); ?></strong>
                </label>
                <input id="campaign_name"
                       class="stina-form-control stina-w-12"
                       type="text"
                       name="campaign_name"
                       required="required"
                       minlength="4"
                       maxlength="32">
            </div>

            <button class="stina-btn stina-btn-primary" type="submit"><?php _e('Begin', 'stina-crystal-lift'); ?></button>
        </form>

    </div>
</div>
