<?php defined('ABSPATH') || exit; ?>

<div class="settings-section stina-row">

    <div class="col-12 stina-border-bottom header">
        <h2><?php _e('STINA Account', 'stina-crystal-lift'); ?></h2>
    </div>

    <div class="col-12">
        <h3><?php _e('Personal details', 'stina-crystal-lift'); ?></h3>
    </div>

    <div class="col-12">
        <div class="stina-form-group stina-w-12">
            <label for="profile.username">
                <strong><?php _e('Username', 'stina-form-control'); ?> / <?php _e('Email', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.username"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.username"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-6">
        <div class="stina-form-group stina-w-12">
            <label for="profile.firstName">
                <strong><?php _e('First name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.firstName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.firstName"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-6">
        <div class="stina-form-group stina-w-12">
            <label for="profile.lastName">
                <strong><?php _e('Last name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.lastName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.lastName"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-6">

        <h3><?php _e('Billing address'); ?></h3>

        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.salutation">
                <strong><?php _e('Salutation', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.salutation"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.salutation"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.firstName">
                <strong><?php _e('First name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.firstName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.firstName"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.lastName">
                <strong><?php _e('Last name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.lastName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.lastName"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.company">
                <strong><?php _e('Company', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.company"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.company"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.street">
                <strong><?php _e('Street', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.street"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.street"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.postcode">
                <strong><?php _e('Postcode', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.postcode"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.postcode"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.city">
                <strong><?php _e('City', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.city"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.city"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.state">
                <strong><?php _e('State', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.state"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.state"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.billingAddress.country">
                <strong><?php _e('Country', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.billingAddress.country"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.billingAddress.country"
                   disabled="disabled">
        </div>

    </div>

    <div class="col-6">

        <h3><?php _e('Shipping address'); ?></h3>

        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.salutation">
                <strong><?php _e('Salutation', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.salutation"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.salutation"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.firstName">
                <strong><?php _e('First name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.firstName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.firstName"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.lastName">
                <strong><?php _e('Last name', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.lastName"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.lastName"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.company">
                <strong><?php _e('Company', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.company"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.company"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.street">
                <strong><?php _e('Street', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.street"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.street"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.postcode">
                <strong><?php _e('Postcode', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.postcode"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.postcode"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.city">
                <strong><?php _e('City', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.city"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.city"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.state">
                <strong><?php _e('State', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.state"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.state"
                   disabled="disabled">
        </div>
        <div class="stina-form-group stina-w-12">
            <label for="profile.shippingAddress.country">
                <strong><?php _e('Country', 'stina-form-control'); ?></strong>
            </label>
            <input id="profile.shippingAddress.country"
                   class="stina-form-control"
                   type="text"
                   v-model="profile.shippingAddress.country"
                   disabled="disabled">
        </div>

    </div>

</div>

<div class="settings-section stina-row stina-mt-1">

    <div class="col-12 stina-border-bottom header">
        <h2><?php _e('Subscriptions', 'stina-crystal-lift'); ?></h2>
    </div>

    <div class="col-4" v-for="subscription in profile.subscriptions">
        <div class="stina-border stina-p-1" style="border-radius: .25rem;">
            <strong>{{ subscription.subscriptionDescLong }}</strong>
            <p>{{ subscription.portfolioElementDescLong }}</p>
            <small>{{ subscription.packageDescLong }}</small>
        </div>
    </div>

</div>
