<?php defined('ABSPATH') || exit; ?>

<div class="settings-section stina-row">

    <div class="col-12 stina-border-bottom header">
        <h2><?php _e('Deutsche Post Trigger Dialog', 'stina-crystal-lift'); ?></h2>
    </div>

    <div class="col-12">
        <h3 class="stina-mb-0"><?php _e('SSO (Single-Sign-On)', 'stina-crystal-lift'); ?></h3>
    </div>

    <div class="col-6">
        <div class="stina-form-group">
            <label for="provider-deutscheposttriggerdialog-username">
                <strong><?php _e('Username', 'stina-crystal-lift'); ?></strong>
            </label>
            <input id="provider-deutscheposttriggerdialog-username"
                   class="stina-form-control stina-w-12"
                   type="text"
                   v-model="profile.username"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-6">
        <div class="stina-form-group">
            <label for="provider-deutscheposttriggerdialog-email">
                <strong><?php _e('Email', 'stina-crystal-lift'); ?></strong>
            </label>
            <input id="provider-deutscheposttriggerdialog-email"
                   class="stina-form-control stina-w-12"
                   type="text"
                   v-model="profile.email"
                   disabled="disabled">
        </div>
    </div>


    <div class="col-6">
        <div class="stina-form-group">
            <label for="provider-deutscheposttriggerdialog-first-name">
                <strong><?php _e('First name', 'stina-crystal-lift'); ?></strong>
            </label>
            <input id="provider-deutscheposttriggerdialog-first-name"
                   class="stina-form-control stina-w-12"
                   type="text"
                   v-model="profile.firstName"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-6">
        <div class="stina-form-group">
            <label for="provider-deutscheposttriggerdialog-last-name">
                <strong><?php _e('Last name', 'stina-crystal-lift'); ?></strong>
            </label>
            <input id="provider-deutscheposttriggerdialog-last-name"
                   class="stina-form-control stina-w-12"
                   type="text"
                   v-model="profile.lastName"
                   disabled="disabled">
        </div>
    </div>

    <div class="col-12">
        <div class="stina-form-group">
            <label for="provider-deutscheposttriggerdialog-mas-client-id">
                <strong><?php _e('MAS Client ID', 'stina-crystal-lift'); ?></strong>
            </label>
            <input id="provider-deutscheposttriggerdialog-mas-client-id"
                   class="stina-form-control stina-w-12"
                   type="text"
                   v-model="profile.id"
                   disabled="disabled">
        </div>
    </div>

</div>
