<?php

defined('ABSPATH') || exit;

/**
 * @var array  $environments
 * @var string $environment
 */

?>

<div class="settings-section stina-row">

    <div class="col-12 stina-border-bottom header">
        <h2><?php _e('General', 'stina-crystal-lift'); ?></h2>
    </div>

    <div class="col-4">
        <div class="stina-form-group">
            <label for="general-environment">
                <strong><?php _e('Application log level', 'stina-crystal-lift'); ?></strong>
            </label>
            <select id="general-environment"
                    class="stina-form-control stina-w-12"
                    type="text"
                    v-model="settings.system.general.logLevel"
                    required="required">
                <option value="500"><?php _e('Critical', 'stina-crystal-lift'); ?></option>
                <option value="400"><?php _e('Error', 'stina-crystal-lift'); ?></option>
                <option value="300"><?php _e('Warning', 'stina-crystal-lift'); ?></option>
                <option value="200"><?php _e('Info', 'stina-crystal-lift'); ?></option>
                <option value="100"><?php _e('Debug', 'stina-crystal-lift'); ?></option>
            </select>
        </div>
    </div>

    <div class="col-12 stina-border-top stina-text-right">
        <button class="stina-btn stina-mb-0 stina-btn-primary"><?php _e('Save changes', 'stina-crystal-lift'); ?></button>
    </div>

</div>
