<?php

defined('ABSPATH') || exit;

/**
 * @var array $logFiles
 */

?>

<div class="settings-section stina-row">

    <div class="col-12 stina-border-bottom header">
        <h2><?php _e('Logging', 'stina-crystal-lift'); ?></h2>
    </div>

    <div class="col-12">
        <div class="stina-form-group">
            <label for="settings-tools-log-viewer-file">
                <strong><?php _e('Log file', 'stina-crystal-lift'); ?></strong>
            </label>
            <select id="settings-tools-log-viewer-file"
                    class="stina-form-control"
                    @change="onSelectLogFile($event)">
                <option value=""><?php _e('Please select a log file', 'stina-crystal-lift'); ?></option>
                <?php foreach ($logFiles as $logFile): ?>
                    <option value="<?php echo esc_attr($logFile); ?>"><?php echo esc_html($logFile); ?></option>
                <?php endforeach; ?>
            </select>
        </div>

        <div class="crysli-log-file-viewer" v-if="section.tools.additionalData.logFileContent">
            <pre>{{ section.tools.additionalData.logFileContent }}</pre>
        </div>
    </div>

</div>
